# Class DisclaimerController

#### Hierarchy

- DisclaimerController

- Defined in src/disclaimer/component.js:81

#####
Index

### Constructors

constructor

### Properties

dataLayerGroup_
disclaimer_
element_
eventHelper_
gettextCatalog_
map
msg
msgs_
ngeoLayerHelper_
options
rootScope_
sce_
timeout_
visibility

### Methods

$onDestroy
$onInit
closeAll_
closeDisclaimerMessage_
handleLayersAdd_
handleLayersRemove_
registerLayer_
showAll_
showDisclaimerMessage_
unregisterLayer_
update_

## Constructors

### constructor

- new DisclaimerController($element: JQuery<HTMLElement>, $sce: ISCEService, $timeout: ITimeoutService, $rootScope: IScope, gettextCatalog: gettextCatalog, ngeoDisclaimer: MessageDisclaimerService, ngeoEventHelper: EventHelper, ngeoLayerHelper: LayerHelper, gmfDisclaimerOptions: any): DisclaimerController

- Used metadata:

  - `disclaimer`: The disclaimer text for this element. For WMS and WMTS layers, layer groups and themes.

  ### Ng Inject

  ### Ngdoc

  controller

  ### Ngname

  GmfDisclaimerController

  #### Parameters

  - ##### $element: JQuery<HTMLElement>

    Element.

  - ##### $sce: ISCEService

    Angular sce service.

  - ##### $timeout: ITimeoutService

    Angular timeout service.

  - ##### $rootScope: IScope

    Angular rootScope.

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  - ##### ngeoDisclaimer: MessageDisclaimerService

    Ngeo Disclaimer service.

  - ##### ngeoEventHelper: EventHelper

    Ngeo Event Helper.

  - ##### ngeoLayerHelper: LayerHelper

    Ngeo Layer Helper.

  - ##### gmfDisclaimerOptions: any

    The options.

  #### Returns DisclaimerController

  - Defined in src/disclaimer/component.js:81

## Properties

### dataLayerGroup_

dataLayerGroup_: LayerGroup

- Defined in src/disclaimer/component.js:164
- Defined in src/disclaimer/component.js:175

### disclaimer_

disclaimer_: MessageDisclaimerService

- Defined in src/disclaimer/component.js:149

### element_

element_: JQuery<HTMLElement>

- Defined in src/disclaimer/component.js:144

### eventHelper_

eventHelper_: EventHelper

- Defined in src/disclaimer/component.js:154

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/disclaimer/component.js:139

### map

map: Map

- Defined in src/disclaimer/component.js:100

### msg

msg: string

- Defined in src/disclaimer/component.js:114
- Defined in src/disclaimer/component.js:284
- Defined in src/disclaimer/component.js:371

### msgs_

msgs_: string[]

- Defined in src/disclaimer/component.js:119

### ngeoLayerHelper_

ngeoLayerHelper_: LayerHelper

- Defined in src/disclaimer/component.js:159

### options

options: any

- Defined in src/disclaimer/component.js:95

### rootScope_

rootScope_: IScope

- Defined in src/disclaimer/component.js:134

### sce_

sce_: ISCEService

- Defined in src/disclaimer/component.js:124

### timeout_

timeout_: ITimeoutService

- Defined in src/disclaimer/component.js:129

### visibility

visibility: boolean

Visibility that is set to true when a new msg is there.

- Defined in src/disclaimer/component.js:107
- Defined in src/disclaimer/component.js:285
- Defined in src/disclaimer/component.js:369

## Methods

### $onDestroy

- $onDestroy(): void

- #### Returns void

  - Defined in src/disclaimer/component.js:267

### $onInit

- $onInit(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/disclaimer/component.js:170

### closeAll_

- closeAll_(layer: BaseLayer): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

  - Defined in src/disclaimer/component.js:304

### closeDisclaimerMessage_

- closeDisclaimerMessage_(layerUid: string, msg: string): void

- #### Parameters

  - ##### layerUid: string

    Layer identifier.

  - ##### msg: string

    Disclaimer message.

  #### Returns void

  - Defined in src/disclaimer/component.js:366

### handleLayersAdd_

- handleLayersAdd_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/disclaimer/component.js:182

### handleLayersRemove_

- handleLayersRemove_(evt: Event | BaseEvent): void

- #### Parameters

  - ##### evt: Event | BaseEvent

    Event.

  #### Returns void

  - Defined in src/disclaimer/component.js:197

### registerLayer_

- registerLayer_(layer: BaseLayer): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer.

  #### Returns void

  - Defined in src/disclaimer/component.js:211

### showAll_

- showAll_(layer: BaseLayer): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

  - Defined in src/disclaimer/component.js:318

### showDisclaimerMessage_

- showDisclaimerMessage_(layerUid: string, msg: string): void

- #### Parameters

  - ##### layerUid: string

    Layer identifier.

  - ##### msg: string

    Disclaimer message.

  #### Returns void

  - Defined in src/disclaimer/component.js:278

### unregisterLayer_

- unregisterLayer_(layer: BaseLayer): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer.

  #### Returns void

  - Defined in src/disclaimer/component.js:252

### update_

- update_(layer: BaseLayer): void

- #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

  - Defined in src/disclaimer/component.js:333

Generated using TypeDoc